cdac.medinfo.sdk.hl7282.baselibs.segments

## Class SCP

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.SCP

- All Implemented Interfaces:
    ISegment

      public class SCP
      extends Segment

  SCP - Sterilizer Configuration Segment

  The sterilization configuration segment contains information specific to configuration of a sterilizer or washer for processing sterilization or decontamination loads.

  Represents an HL7 SCP message segment. This segment has the following fields:

  SCP-1 : Number Of Decontamination/Sterilization Devices (NM) Optional
  SCP-2 : Labor Calculation Type (CWE) Optional
  SCP-3 : Date Format (CWE) Optional
  SCP-4 : Device Number (EI) Optional
  SCP-5 : Device Name (ST) Optional
  SCP-6 : Device Model Name (ST) Optional
  SCP-7 : Device Type (CWE) Optional
  SCP-8 : Lot Control (CWE) Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCP()` Constructs the SCP segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CWE` | `getDateFormat()` Retrieves the Date Format.
    `ST` | `getDeviceModelName()` Retrieves the Device Model Name.
    `ST` | `getDeviceName()` Retrieves the Device Name.
    `EI` | `getDeviceNumber()` Retrieves the Device Number.
    `CWE` | `getDeviceType()` Retrieves the Device Type.
    `CWE` | `getLaborCalculationType()` Retrieves the Labor Calculation Type.
    `CWE` | `getLotControl()` Retrieves the Lot Control.
    `NM` | `getNumberOfDecontaminationSterilizationDevices()` Retrieves the Number Of Decontamination/Sterilization Devices .
    `void` | `setDateFormat(CWE objDateFormat)` Set the Date Format.
    `void` | `setDateFormat(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Date Format.
    `void` | `setDeviceModelName(ST objDeviceModelName)` Set the Device Model Name.
    `void` | `setDeviceModelName(java.lang.String strDeviceModelName)` Set the Device Model Name.
    `void` | `setDeviceName(ST objDeviceName)` Set the Device Name.
    `void` | `setDeviceName(java.lang.String strDeviceName)` Set the Device Name.
    `void` | `setDeviceNumber(EI objDeviceNumber)` Set the Device Number.
    `void` | `setDeviceNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Device Number.
    `void` | `setDeviceType(CWE objDeviceType)` Set the Device Type.
    `void` | `setDeviceType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Device Type.
    `void` | `setLaborCalculationType(CWE objLaborCalculationType)` Set the Labor Calculation Type.
    `void` | `setLaborCalculationType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Labor Calculation Type.
    `void` | `setLotControl(CWE objLotControl)` Set the Lot Control.
    `void` | `setLotControl(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Lot Control.
    `void` | `setNumberOfDecontaminationSterilizationDevices(NM objNumberOfDecontaminationSterilizationDevices)` Set the Number Of Decontamination/Sterilization Devices.
    `void` | `setNumberOfDecontaminationSterilizationDevices(java.lang.String strNumberOfDecontaminationSterilizationDevices)` Set the Number Of Decontamination/Sterilization Devices.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SCP

          public SCP()

      Constructs the SCP segment.

  - ### Method Detail

    - #### getNumberOfDecontaminationSterilizationDevices

          public NM getNumberOfDecontaminationSterilizationDevices()

      Retrieves the Number Of Decontamination/Sterilization Devices . The number of decontamination/sterilization devices recognized by the instrument-tracking system.
      Returns:
        NM - numberOfDecontaminationSterilizationDevices

    - #### getLaborCalculationType

          public CWE getLaborCalculationType()

      Retrieves the Labor Calculation Type. The method at which labor is calculated for use in tracking employee productivity.
      Returns:
        CWE - laborCalculationType

    - #### getDateFormat

          public CWE getDateFormat()

      Retrieves the Date Format. The format of the date that is used to record date parameters of a decontamination/sterilization instance.
      Returns:
        CWE - dateFormat

    - #### getDeviceNumber

          public EI getDeviceNumber()

      Retrieves the Device Number. The number of the device (e.g., 01).
      Returns:
        EI - deviceNumber

    - #### getDeviceName

          public ST getDeviceName()

      Retrieves the Device Name. The name of the device associated with the device number in SCP-4 (e.g., VAC).
      Returns:
        ST - deviceName

    - #### getDeviceModelName

          public ST getDeviceModelName()

      Retrieves the Device Model Name. The manufacturer's designated model name.
      Returns:
        ST - deviceModelName

    - #### getDeviceType

          public CWE getDeviceType()

      Retrieves the Device Type. The type of device, such as a steam sterilizer or gas sterilizer.
      Returns:
        CWE - deviceType

    - #### getLotControl

          public CWE getLotControl()

      Retrieves the Lot Control. A code assigned to a device to indicate if the sterilization load is built in the sub-sterile area adjacent to an Operating Room or the Central Processing Department (Central Supply).
      Returns:
        CWE - lotControl

    - #### setNumberOfDecontaminationSterilizationDevices

          public void setNumberOfDecontaminationSterilizationDevices(java.lang.String strNumberOfDecontaminationSterilizationDevices)

      Set the Number Of Decontamination/Sterilization Devices. The number of decontamination/sterilization devices recognized by the instrument-tracking system.
      Parameters:
        `strNumberOfDecontaminationSterilizationDevices` - Use as Number Of Decontamination/Sterilization Devices.

    - #### setNumberOfDecontaminationSterilizationDevices

          public void setNumberOfDecontaminationSterilizationDevices(NM objNumberOfDecontaminationSterilizationDevices)

      Set the Number Of Decontamination/Sterilization Devices. The number of decontamination/sterilization devices recognized by the instrument-tracking system.
      Parameters:
        `objNumberOfDecontaminationSterilizationDevices` - Use as Number Of Decontamination/Sterilization Devices.

    - #### setLaborCalculationType

          public void setLaborCalculationType(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Labor Calculation Type. The method at which labor is calculated for use in tracking employee productivity.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setLaborCalculationType

          public void setLaborCalculationType(CWE objLaborCalculationType)

      Set the Labor Calculation Type. The method at which labor is calculated for use in tracking employee productivity.
      Parameters:
        `objLaborCalculationType` - Object of Labor Calculation Type.

    - #### setDateFormat

          public void setDateFormat(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Date Format. The format of the date that is used to record date parameters of a decontamination/sterilization instance.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDateFormat

          public void setDateFormat(CWE objDateFormat)

      Set the Date Format. The format of the date that is used to record date parameters of a decontamination/sterilization instance.
      Parameters:
        `objDateFormat` - Object of Date Format.

    - #### setDeviceNumber

          public void setDeviceNumber(java.lang.String strEntityIdentifier,
                             java.lang.String strNamespaceId,
                             java.lang.String strUniversalId,
                             java.lang.String strUniversalIdType)

      Set the Device Number. The number of the device (e.g., 01).
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setDeviceNumber

          public void setDeviceNumber(EI objDeviceNumber)

      Set the Device Number. The number of the device (e.g., 01).
      Parameters:
        `objDeviceNumber` - Object of Device Number

    - #### setDeviceName

          public void setDeviceName(java.lang.String strDeviceName)

      Set the Device Name. The name of the device associated with the device number in SCP-4 (e.g., VAC).
      Parameters:
        `strDeviceName` - Used as Device Name.

    - #### setDeviceName

          public void setDeviceName(ST objDeviceName)

      Set the Device Name. The name of the device associated with the device number in SCP-4 (e.g., VAC).
      Parameters:
        `objDeviceName` - Object of Device Name.

    - #### setDeviceModelName

          public void setDeviceModelName(java.lang.String strDeviceModelName)

      Set the Device Model Name. The manufacturer's designated model name.
      Parameters:
        `strDeviceModelName` - Used as Device Model Name.

    - #### setDeviceModelName

          public void setDeviceModelName(ST objDeviceModelName)

      Set the Device Model Name. The manufacturer's designated model name.
      Parameters:
        `objDeviceModelName` - Object of Device Model Name.

    - #### setDeviceType

          public void setDeviceType(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Device Type. The type of device, such as a steam sterilizer or gas sterilizer.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDeviceType

          public void setDeviceType(CWE objDeviceType)

      Set the Device Type. The type of device, such as a steam sterilizer or gas sterilizer.
      Parameters:
        `objDeviceType` - Object of Device Type.

    - #### setLotControl

          public void setLotControl(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Lot Control. A code assigned to a device to indicate if the sterilization load is built in the sub-sterile area adjacent to an Operating Room or the Central Processing Department (Central Supply).
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setLotControl

          public void setLotControl(CWE objLotControl)

      Set the Lot Control. A code assigned to a device to indicate if the sterilization load is built in the sub-sterile area adjacent to an Operating Room or the Central Processing Department (Central Supply).
      Parameters:
        `objLotControl` - Object of Lot Control.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - If Segment Validation fails